## traceroute 2.0.19

=== wrappers/Makefile ===
#
#   Copyright (c)  2007             Dmitry Butskoy
#                                   <buc@citadel.stu.neva.ru>
#   License:  GPL v2 or any later
#
#   See COPYING for the status of this software.
#

#
#   Nothing to do.
#

all depend install:
	@true

## traceroute 2.0.18

=== debian/changelog ===
traceroute (1:2.0.18-1) unstable; urgency=low

  * Merging upstream version 2.0.18.
  * Updating maintainer and uploaders fields.
  * Removing vcs entries.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Dropping conflicts on traceroute-nanog, not needed anymore.
  * Using common coding style for shell in rules and maintainer scripts.
  * Adding copyright stanza for libsupp/*.
  * Removing lintian overrides, not needed anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 20:04:09 +0200

traceroute (1:2.0.17-1) experimental; urgency=low

  * Merging upstream version 2.0.17.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Removing traceroute-nanog transitional package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 14 Dec 2010 19:29:54 +0100

traceroute (1:2.0.16-1) experimental; urgency=low

  * Merging upstream version 2.0.16.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Sep 2010 08:46:54 +0200

traceroute (1:2.0.15-1) unstable; urgency=low

  * Merging upstream version 2.0.15.
  * Removing previously cherry-picked lftp.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 18 Jul 2010 20:35:26 +0200

traceroute (1:2.0.14-3) unstable; urgency=low

  * Adding patch from upstream to add help argument to lft wrapper
    (Closes: #554892).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 13 Jul 2010 16:12:56 +0200

traceroute (1:2.0.14-2) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Patching the traceroute manpage to mention that -p specifies the
    source port and not the destination when being invoked through the
    tcptraceroute wrapper (Closes: #448200).
  * Updating manpage-lft.patch to add description about lft itself
    (Closes: #555028).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 12 Jul 2010 20:23:38 +0200

traceroute (1:2.0.14-1) unstable; urgency=low

  * Merging upstream version 2.0.14.
  * Removing typo.patch, went upstream.
  * Renumbering patches.
  * Sorting dh call in rules to more common order.
  * Updating year in copyright file.
  * Updating README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 30 Apr 2010 05:29:21 +0200

traceroute (1:2.0.13-5) unstable; urgency=low

  * Shortening package short-description of traceroute-nanog.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Apr 2010 07:20:43 +0200

traceroute (1:2.0.13-4) unstable; urgency=low

  * Setting priority of traceroute-nanog transitional package to extra.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 25 Feb 2010 16:48:48 +0100

traceroute (1:2.0.13-3) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding traceroute-nanog transitional package (Closes: #568316).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Feb 2010 09:23:55 +0100

traceroute (2.0.13-2) unstable; urgency=low

  * Installing tcpwrapper into /usr/sbin instead of /usr/bin (Closes:
    #512146).
  * Adjusting manpage section.
  * Installing wrappers manpages in man1 instead of man8.
  * Dropping tracert symlink, upstream dropped wrapper some time ago
    (Closes: #544382).
  * Using mkdir instead of install in rules.
  * Mentioning lft in traceroute manpage (Closes: #554891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 07 Nov 2009 16:48:08 +0100

traceroute (2.0.13-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Merging upstream version 2.0.13.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 06 Nov 2009 08:26:37 +0100

traceroute (2.0.12-3) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Simplyfing shell error handling in rules file.
  * Upgrading package to standards version 3.8.3.
  * Updating maintainer field.
  * Updating vcs fields.
  * Minimizing rules file.
  * Adding README.source.
  * Adding maintainer homepage in copyright.
  * Sorting depends.
  * Bumping versioned build-depends on quilt.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Oct 2009 10:20:00 +0200

traceroute (2.0.12-2) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating standards to 3.8.1.
  * Removing old conflicts.
  * Prefixing debhelper files with package name.
  * Tidy rules file.
  * Using quilt rather than dpatch.
  * Adding patch from Mathieu Geli <mathieu.geli@gmail.com> to fix typo in
    option_list (Closes: #518535).
  * Updating year in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Apr 2009 13:45:00 +0200

traceroute (2.0.12-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 2.0.12.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 17 Sep 2008 22:38:00 +0200

traceroute (2.0.11-2) unstable; urgency=medium

  * Updating upstream URL.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 20 Jun 2008 18:34:00 +0200

traceroute (2.0.11-1) unstable; urgency=medium

  * Reordering rules file.
  * Rediffing 02-path.dpatch.
  * Rediffing 01-skipdirs.dpatch.
  * Removing watch file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Merging upstream version 2.0.11.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 03 May 2008 09:26:00 +0200



=== debian/control ===
Source: traceroute
Section: net
Priority: important
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://traceroute.sourceforge.net/

Package: traceroute
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Traces the route taken by packets over an IPv4/IPv6 network
 The traceroute utility displays the route used by IP packets on their way to a
 specified network (or Internet) host. Traceroute displays the IP number and
 host name (if possible) of the machines along the route taken by the packets.
 Traceroute is used as a network debugging tool. If you're having network
 connectivity problems, traceroute will show you where the trouble is coming
 from along the route.
 .
 Install traceroute if you need a tool for diagnosing network connectivity
 problems.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	install -D -m 0755 traceroute/traceroute debian/traceroute/usr/bin/traceroute.db
	install -D -m 0644 traceroute/traceroute.8 debian/traceroute/usr/share/man/man1/traceroute.db.1

	install -D -m 0755 wrappers/traceroute-nanog debian/traceroute/usr/bin/traceroute-nanog
	ln -s traceroute.db.1.gz debian/traceroute/usr/share/man/man1/traceroute-nanog.1.gz

	install -D -m 0644 libsupp/libsupp.a debian/traceroute/usr/lib/libsupp.a
	install -D -m 0644 libsupp/clif.h debian/traceroute/usr/include/clif.h

	# Installing symlinks
	mkdir -p debian/traceroute/usr/share/man/man1

	for _ALTERNATIVE in traceroute6; \
	do \
		ln -s traceroute.db debian/traceroute/usr/bin/$${_ALTERNATIVE}.db; \
		ln -s traceroute.db.1.gz debian/traceroute/usr/share/man/man1/$${_ALTERNATIVE}.db.1.gz; \
	done

	# Installing wrappers
	for _WRAPPER in lft traceproto; \
	do \
		install -D -m 0755 wrappers/$${_WRAPPER} debian/traceroute/usr/bin/$${_WRAPPER}.db; \
		ln -s traceroute.db.1.gz debian/traceroute/usr/share/man/man1/$${_WRAPPER}.db.1.gz; \
	done

	mkdir -p debian/traceroute/usr/share/man/man8

	for _WRAPPER in tcptraceroute; \
	do \
		install -D -m 0755 wrappers/$${_WRAPPER} debian/traceroute/usr/sbin/$${_WRAPPER}.db; \
		ln -s ../man1/traceroute.db.1.gz debian/traceroute/usr/share/man/man8/$${_WRAPPER}.db.8.gz; \
	done

## traceroute 2.0.19

=== debian/changelog ===
traceroute (1:2.0.19-3) unstable; urgency=low

  * Taking over with maintainer's consent.
  * Adding watch file.

 -- Luk Claes <luk@debian.org>  Sat, 06 Apr 2013 09:48:42 +0200

traceroute (1:2.0.19-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:52:57 +0100

traceroute (1:2.0.19-1) unstable; urgency=low

  * Merging upstream version 2.0.19.
  * Updating years in copyright file.
  * Updating to standards version 3.9.4.
  * Rediffing manpage-p.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 11:50:54 +0100

traceroute (1:2.0.18-3) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 14:48:05 +0200

traceroute (1:2.0.18-2) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Adding patch to avoid overwriting build environment.
  * Adding patch from Moritz Muehlenhoff <jmm@debian.org> to add missing
    format strings in order to build with hardening flags.
  * Enabling hardening build flags (Closes: #656014).
  * Updating copyright file to machine-readable format version 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 May 2012 12:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: traceroute
 Section: net
 Priority: important
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Maintainer: Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://traceroute.sourceforge.net/
 
 Package: traceroute

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 SHELL := sh -e
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh ${@}
@@ -38,3 +40,6 @@
 		install -D -m 0755 wrappers/$${_WRAPPER} debian/traceroute/usr/sbin/$${_WRAPPER}.db; \
 		ln -s ../man1/traceroute.db.1.gz debian/traceroute/usr/share/man/man8/$${_WRAPPER}.db.8.gz; \
 	done
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/traceroute/traceroute-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 06 Jan 2013 21:26:02 +0000

## traceroute 2.0.20

=== debian/changelog ===
traceroute (1:2.0.20-0ubuntu0.1) trusty; urgency=medium

  * Backport 1:2.0.20-2 to Trusty as an SRU
    - Fix segfault with --mtu (LP: #1330558)
    - Fix --mtu on recent kernels (LP: #1354704)

 -- Graham Inggs <graham@nerve.org.za>  Mon, 11 Aug 2014 12:07:54 +0200

traceroute (1:2.0.20-2) unstable; urgency=medium

  [ Graham Inggs <graham@nerve.org.za> ]
  * Fix --mtu on recent kernels (closes: #757568).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Aug 2014 13:13:05 +0000

traceroute (1:2.0.20-1) unstable; urgency=low

  * New upstream release (closes: #751791), fixes segfault with --mtu
    (closes: #750759).
  * Update 05-manpage-p.patch , remove 07-hardening.patch as applied upstream.
  * Make the package linux-only.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Jun 2014 17:11:12 +0000

traceroute (1:2.0.19-4) unstable; urgency=low

  * New maintainer (closes: #748489).
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 May 2014 12:27:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: traceroute
 Section: net
 Priority: important
-Maintainer: Luk Claes <luk@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://traceroute.sourceforge.net/
 
 Package: traceroute
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Traces the route taken by packets over an IPv4/IPv6 network
  The traceroute utility displays the route used by IP packets on their way to a

## traceroute 2.0.21

=== debian/changelog ===
traceroute (1:2.0.21-1) unstable; urgency=low

  * New upstream release.
  * Remove 07-fix-mtu-on-recent-kernels.patch , applied upstream.
  * Update Standards-Version to 3.9.6 .

  [ Jérémy Bobbio <lunar@debian.org> ]
  * Add 08-remove-build-date.patch to make the package build reproducibly
    (closes: #774365).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 May 2015 10:44:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://traceroute.sourceforge.net/
 
 Package: traceroute

## traceroute 2.1.0

=== debian/changelog ===
traceroute (1:2.1.0-2+deb11u1) bullseye; urgency=medium

  * Backport upstream fix to interpret ipv4-mapped ipv6 addresses
    (::ffff:A.B.C.D) as true ipv4.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Dec 2022 08:27:50 +0100

traceroute (1:2.1.0-2) unstable; urgency=low

  * Update Standards-Version to 3.9.8 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: pass CROSS= to make (closes: #835920).

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Sort lists of libraries/source/object files for deterministic linking
    order (closes: #826431).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 29 Aug 2016 15:45:51 +0000

traceroute (1:2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Mar 2016 17:31:43 +0100

traceroute (1:2.0.22-1) unstable; urgency=low

  * New upstream release.
  * Delete remove-build-date.patch, applied upstream.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Feb 2016 19:01:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://traceroute.sourceforge.net/
 
 Package: traceroute

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 SHELL := sh -e
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-%:
-	dh ${@}
+override_dh_auto_build:
+	dh_auto_build -- CROSS=$(DEB_HOST_GNU_TYPE)-
 
 override_dh_auto_install:
 	install -D -m 0755 traceroute/traceroute debian/traceroute/usr/bin/traceroute.db
@@ -43,3 +49,8 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z9
+
+%:
+	dh ${@} --parallel
+
+.PHONY: override_dh_auto_build override_dh_auto_install override_dh_builddeb

## traceroute 2.1.1

=== debian/changelog ===
traceroute (1:2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Dec 2022 19:14:31 +0100

traceroute (1:2.1.0-3) unstable; urgency=medium

  * Add patch for fixing lines with a misused two-fonts macro in manpage
    (closes: #935132).
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.1 .
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Jul 2022 01:42:56 +0200

traceroute (1:2.1.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Jul 2022 17:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: important
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Homepage: http://traceroute.sourceforge.net/
 
 Package: traceroute

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
http://qa.debian.org/watch/sf.php/traceroute/traceroute-[vV]?(\d\S+)@ARCHIVE_EXT@

## traceroute 2.1.2

=== debian/changelog ===
traceroute (1:2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Feb 2023 13:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
-Homepage: http://traceroute.sourceforge.net/
+Standards-Version: 4.6.2
+Homepage: https://traceroute.sourceforge.net/
 
 Package: traceroute
 Architecture: linux-any

## traceroute 2.1.3

=== debian/changelog ===
traceroute (1:2.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Sep 2023 09:52:03 +0000

## traceroute 2.1.4

=== debian/changelog ===
traceroute (1:2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Dec 2023 09:24:01 +0100

## traceroute 2.1.5

=== debian/changelog ===
traceroute (1:2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Dec 2023 08:29:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://traceroute.sourceforge.net/
 
 Package: traceroute

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://qa.debian.org/watch/sf.php/traceroute/traceroute-[vV]?(\d\S+)@ARCHIVE_EXT@

## traceroute 2.1.6

=== Makefile ===
#
#   Copyright (c)  2000, 2001		Dmitry Butskoy
#					<dmitry@butskoy.name>
#   License:  GPL v2 or any later
#
#   See COPYING for the status of this software.
#

#
#   Global Makefile.
#   Global rules, targets etc.
#
#   See Make.defines for specific configs.
#


srcdir = $(CURDIR)

override TARGET := .MAIN

dummy: all

include ./Make.rules


targets = $(EXEDIRS) $(LIBDIRS) $(MODDIRS)


# be happy, easy, perfomancy...
.PHONY: $(subdirs) dummy all force
.PHONY: depend indent clean distclean libclean release store libs mods


allprereq := $(EXEDIRS)

ifneq ($(LIBDIRS),)
libs: $(LIBDIRS)
ifneq ($(EXEDIRS),)
$(EXEDIRS): libs
else
allprereq += libs
endif
endif

ifneq ($(MODDIRS),)
mods: $(MODDIRS)
ifneq ($(MODUSERS),)
$(MODUSERS): mods
else
allprereq += mods
endif
ifneq ($(LIBDIRS),)
$(MODDIRS): libs
endif
endif

all: $(allprereq)

depend install: $(allprereq)

$(foreach goal,$(filter install-%,$(MAKECMDGOALS)),\
    $(eval $(goal): $(patsubst install-%,%,$(goal))))


what = all
depend: what = depend
install install-%: what = install

ifneq ($(share),)
$(share): shared = yes
endif
ifneq ($(noshare),)
$(noshare): shared = 
endif


$(targets): mkfile = $(if $(wildcard $@/Makefile),,-f $(srcdir)/default.rules)

$(targets): force
	@$(MAKE) $(mkfile) -C $@ $(what) TARGET=$@

force:


indent:
	find . -type f -name "*.[ch]" -print -exec $(INDENT) {} \;

clean:
	rm -f $(foreach exe, $(EXEDIRS), ./$(exe)/$(exe)) nohup.out
	rm -f `find . \( -name "*.[oa]" -o -name "*.[ls]o" \
		-o -name core -o -name "core.[0-9]*" -o -name a.out \) -print`

distclean: clean
	rm -f `find $(foreach dir, $(subdirs), $(dir)/.) \
		\( -name "*.[oa]" -o -name "*.[ls]o" \
		-o -name core -o -name "core.[0-9]*" -o -name a.out \
		-o -name .depend -o -name "_*" -o -name ".cross:*" \) \
		-print`


libclean:
	rm -f $(foreach lib, $(LIBDIRS), ./$(lib)/$(lib).a ./$(lib)/$(lib).so)


#  Rules to make whole-distributive operations.
#

STORE_DIR = $(HOME)/pub

release release1 release2 release3:
	@./chvers.sh $@
	@$(MAKE) store

store: distclean
	@./store.sh $(NAME) $(STORE_DIR)

=== debian/changelog ===
traceroute (1:2.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2024 19:25:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://traceroute.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -47,10 +47,7 @@
 		ln -s ../man1/traceroute.db.1.gz debian/traceroute/usr/share/man/man8/$${_WRAPPER}.db.8.gz; \
 	done
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+%:
+	dh ${@}
 
-%:
-	dh ${@} --parallel
-
-.PHONY: override_dh_auto_build override_dh_auto_install override_dh_builddeb
+.PHONY: override_dh_auto_build override_dh_auto_install
